%global src_name httpx

Name:           python-%{src_name}
Version:        0.18.2
Release:        1
Summary:        Python HTTP client

License:        BSD
URL:            https://github.com/encode/httpx
Source0:        https://github.com/encode/httpx/archive/refs/tags/0.18.2.tar.gz
BuildArch:      noarch

%description
HTTPX is a fully featured HTTP client for Python, which provides sync and
async APIs, and support for both HTTP/1.1 and HTTP/2.

%package -n     python3-%{src_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{src_name}}

%description -n python3-%{src_name}
HTTPX is a fully featured HTTP client for Python, which provides sync and
async APIs, and support for both HTTP/1.1 and HTTP/2.

%prep
%autosetup -n %{src_name}-%{version}
rm -rf %{src_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{src_name}
%license LICENSE.md
%doc README.md
%{python3_sitelib}/%{src_name}/
%{python3_sitelib}/%{src_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Mon Jul 19 2021 yinyongkang <yinyongkang@kylinos.cn> - 0.18.2-1
- Init Package
